Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class AbstractStaticPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod

All Implemented Interfaces:
  StaticMethodInvocation

Direct Known Subclasses:
  AbstractClausedStaticPersistentMethod, ExecuteQueryPersistentMethod, ExecuteUpdatePersistentMethod, FindAllPersistentMethod, FindPersistentMethod, ListOrderByPersistentMethod, ListPersistentMethod

    public abstract class AbstractStaticPersistentMethod

extends AbstractStaticMethodInvocation

Abstract base class for static persistent methods

Since:
  Aug 8, 2005
Author:
  Steven Devijver, Graeme Rocher

Constructor Summary
`AbstractStaticPersistentMethod(org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader, Pattern pattern)`

Method Summary
`protected abstract Object` | `doInvokeInternal(Class clazz, String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)`
`protected org.hibernate.Criteria` | `getCriteria(org.hibernate.Session session, groovy.lang.Closure additionalCriteria, Class clazz)`
`protected HibernateTemplate` | `getHibernateTemplate()`
`Object` | `invoke(Class clazz, String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)`
`Object` | `invoke(Class clazz, String methodName, Object[] arguments)` Invokes the actual method.

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
`getPattern, isMethodMatch, setPattern, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractStaticPersistentMethod

    public AbstractStaticPersistentMethod(org.hibernate.SessionFactory sessionFactory,
                                          ClassLoader classLoader,
                                          Pattern pattern)

Method Detail

### getHibernateTemplate

    protected HibernateTemplate getHibernateTemplate()

### invoke

    public Object invoke(Class clazz,
                         String methodName,
                         Object[] arguments)

  Description copied from interface: `StaticMethodInvocation`

  Invokes the actual method. The class, method name and arguments are provided. If no arguments are passed the argument array is empty.

  Specified by:
    `invoke` in interface `StaticMethodInvocation`
  Specified by:
    `invoke` in class `AbstractStaticMethodInvocation`
  Parameters:
    `clazz` - the class the static method is called on
    `methodName` - the static method name
    `arguments` - the arguments supplied
  Returns:
    the return value of the static method invocation

### invoke

    public Object invoke(Class clazz,
                         String methodName,
                         groovy.lang.Closure additionalCriteria,
                         Object[] arguments)

### getCriteria

    protected org.hibernate.Criteria getCriteria(org.hibernate.Session session,
                                                 groovy.lang.Closure additionalCriteria,
                                                 Class clazz)

### doInvokeInternal

    protected abstract Object doInvokeInternal(Class clazz,
                                               String methodName,
                                               groovy.lang.Closure additionalCriteria,
                                               Object[] arguments)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project